> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# HCHttpCallRequestGetRequestBodyString

> HCHttpCallRequestGetRequestBodyString

Get the request body bytes of the HTTP call.

## Syntax

```cpp theme={null}
HRESULT HCHttpCallRequestGetRequestBodyString(  
         HCCallHandle call,  
         const char** requestBody  
)  
```

### Parameters

*call*   \_In\_\
Type: HCCallHandle

The handle of the HTTP call.

*requestBody*   \_Outptr\_\
Type: char\*\*

The UTF-8 encoded request body of the HTTP call.

### Return value

Type: HRESULT

Result code for this API operation. Possible values are S\_OK, E\_INVALIDARG, or E\_FAIL.

## Requirements

**Header:** httpProvider.h

**Library:** libHttpClient.lib

**Supported platforms:** Windows, XBOX One family consoles and XBOX Series consoles

## See also

[httpProvider](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)


## Related topics

- [httpProvider (contents)](https://docs.xbox.com/reference/live/httpclient/httpprovider/httpprovider_members.md)
- [HCHttpCallRequestSetRequestBodyString](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallrequestsetrequestbodystring.md)
- [XblHttpCallRequestSetRequestBodyString](https://docs.xbox.com/reference/live/xsapi-c/http_call_c/functions/xblhttpcallrequestsetrequestbodystring.md)
- [HCHttpCallRequestSetRequestBodyReadFunction](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallrequestsetrequestbodyreadfunction.md)
- [HCHttpCallGetRequestUrl](https://docs.xbox.com/reference/live/httpclient/httpclient/functions/hchttpcallgetrequesturl.md)
